Skip to main content
GET
/
v1.0
/
packages
/
subscriptions
cURL
curl -X GET 'https://api.telegent.com/v1.0/packages/subscriptions?PackageId=PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db' \
  -H 'Authorization: Bearer YOUR_TOKEN'
import requests

url = "https://api.telegent.com/v1.0/packages/subscriptions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.telegent.com/v1.0/packages/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
  "PackageName": "eSim 3",
  "DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
  "AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
  "SubscriberId": "12345",
  "Type": "Type 1",
  "Price": 12.34,
  "Monthly": true,
  "Active": true,
  "Subscriptions": [
    {
      "SubscriptionId": "SUB-ef84c0b5-d750-4a5a-99b1-4705089cd20c",
      "SubscriberId": "TSUID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d",
      "TNID": "NID-B5B67F02-708A-1851-20DF-61FC1919C4F6",
      "ICCID": "8901240397190002080",
      "PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
      "Type": "mvno",
      "Active": false
    }
  ]
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Query Parameters

PackageId
string

The package ID to retrieve subscriptions for

Response

Package Subscriptions

The response is of type object.